> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect Robinhood



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json post /user-exchange/robinhood
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /user-exchange/robinhood:
    post:
      tags:
        - User exchange
      summary: Connect Robinhood
      operationId: UserExchangeController_setRobinhoodUserExchange
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetRobinhoodUserExchangeBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserExchangeDto'
      security:
        - bearer: []
components:
  schemas:
    SetRobinhoodUserExchangeBodyDto:
      type: object
      properties:
        accountIndex:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        apiKeyIndex:
          type: integer
          minimum: 0
          maximum: 255
        privateKey:
          type: string
      required:
        - accountIndex
        - apiKeyIndex
        - privateKey
      title: RobinhoodUserExchange
    UserExchangeDto:
      type: object
      properties:
        exchange:
          type: string
          enum:
            - aster
            - binance
            - bybit
            - extended
            - gate
            - hyperliquid
            - lighter
            - mexc
            - ondo
            - robinhood
          description: Perpetual exchange
        valid:
          type: boolean
          description: True if credentials are valid
      required:
        - exchange
        - valid
      title: UserExchange
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.